{------------------------------------------------------------------------------}
{ TWAIN source code:                                                           }
{ Copyright (C) '91-'92 TWAIN Working Group:                                   }
{ Aldus, Caere, Eastman-Kodak, Logitech,                                       }
{ Hewlett-Packard Corporations.                                                }
{ All rights reserved.                                                         }
{                                                                              }
{                                                                              }
{ This source code was converted from C to Delphi/Turbo Pascal for Windoes by  }
{                                                                              }
{   MCM Design                                                                 }
{   Marc Christopher Martin                                                    }
{   Australiensvej 34                                                          }
{   2100 Copenhagen OE                                                         }
{   Denmark                                                                    }
{                                                                              }
{   e-mail support@mcm-design.dk                                               }
{                                                                              }
{------------------------------------------------------------------------------}

Unit twa_apph;

interface

uses WinTypes, Messages;

const
  MAX_TWPATH             = 260;

{ Generic access to TWAIN DSM.                                                 }
  IDS_DSMNAME            = 0;
  IDS_WINDOWTITLE        = 1;

{ Resource based standard App error messages.                                  }
  IDS_NODSM              = 16;
  IDS_NODS               = 17;
  IDS_LOWMEMORY          = 18;
  IDS_MAXCONNECTIONS     = 19;
  IDS_BUMMER             = 20;
  IDS_BADCAP             = 21;
  IDS_BADPROTOCOL        = 22;
  IDS_BADVALUE           = 23;
  IDS_OPERATIONERROR     = 24;
  IDS_SEQERROR           = 25;
  IDS_SUCCESS            = 26;
  IDS_NODETAIL           = 27;
  IDS_DEFAULT            = 28;
  IDS_BADDEST            = 29;

  MM_FILE                = 0;
  MM_SPECIAL             = 1;
  MM_DG                  = 2;
  MM_DAT                 = 3;
  MM_MSG                 = 4;
  MM_SEND                = 5;
  MM_HELP                = 6;

  TW_APP_ACQUIRE         = 100;
  TW_APP_SELECT_SOURCE   = 101;
  TW_APP_NATIVE          = 110;
  TW_APP_FILE            = 111;
  TW_APP_BUFFER          = 112;
  TW_APP_SHOW            = 120;
  TW_APP_DISABLE_AFTER   = 121;
  TW_APP_QUIT            = 130;
  TW_APP_SETSOURCE       = 131;

  TW_APP_MSG_NONE        = 150;
  TW_APP_MSG_ERROR       = 151;
  TW_APP_MSG_INFO        = 152;
  TW_APP_MSG_FULL        = 153;


  TW_APP_AUTOFEED        = 160;

  TW_APP_RUN_TEST        = 180;

  TW_APP_OPENSM          = 201;
  TW_APP_OPENDS          = 202;
  TW_APP_SEND            = 203;
  TW_APP_ENABLE          = 204;
  TW_APP_TRANSFER        = 205;
  TW_APP_DISABLE         = 206;
  TW_APP_CLOSEDS         = 207;
  TW_APP_CLOSESM         = 208;

  TW_DLG_AUTOTEST        = 209;
  TW_AUTOTESTS_RUN       = 210;
  TW_AUTOTESTS_CREATE    = 211;
  TW_AUTOTESTS_STEP      = 212;
  IDC_COMMENTS           = 213;

  IDC_ACQUIRE            = 1014;
  IDC_SELECT_SOURCE      = 1012;


{$IFDEF WIN32}  { Temp fix until re-calibrate the .rc files.                   }
  IDC_RUNSCRIPTS         = 214;
  IDC_BREAKSCHECK        = 215;
  IDC_TESTLIST           = 216;
  IDADD                  = 217;
  IDDELETE               = 218;
  IDOPEN                 = 219;
  IDC_PATH               = 220;
{$ENDIF}

  TW_AUTOTESTS_LOG       = 221;
  TW_AUTOTESTS_STOP      = 222;

  TW_DLG_CREATE          = 300;

  TW_DLG_CHECK           = 400;
  IDC_ACTION             = 401;
  IDC_CAPABILITY         = 402;
  IDC_L_CONTAINER        = 403;
  IDC_L_CAP1             = 404;
  IDC_L_CAP2             = 405;
  IDC_L_CAP3             = 406;
  IDC_L_CAP4             = 407;
  IDC_L_CAP5             = 408;
  IDC_L_CAP6             = 409;
  IDC_R_CONTAINER        = 410;
  IDC_R_CAP1             = 411;
  IDC_R_CAP2             = 412;
  IDC_R_CAP3             = 413;
  IDC_R_CAP4             = 414;
  IDC_R_CAP5             = 415;
  IDC_R_CAP6             = 416;
  IDC_R_CONTAINER2       = 417;

  TW_DLG_SETSOURCE       = 500;
  IDC_EDIT               = 501;

  TW_APP_ABOUT           = 700;

  TW_APP_ABOUT_CO        = 120;
  TW_APP_ABOUT_VER       = 121;
  TW_APP_ABOUT_COPYRIGHT = 122;
  TW_APP_ABOUT_OKAY      = 123;

  DLG_SEND               = 100;
  IDDG                   = 101;
  IDDAT                  = 102;
  IDMSG                  = 103;
  IDCAPTEXT              = 104;
  IDCAP                  = 105;
  IDTYPETEXT             = 106;
  IDTYPE                 = 107;
  IDEDITTEXT             = 108;
  IDEDIT                 = 109;
  IDSTATUS               = 110;
  IDDEST                 = 111;

  PM_XFERDONE            = WM_USER + 0;

  sOFF                   = 0;
  sON                    = 1;

  ATTENDED               = 0;
  UNATTENDED             = 1;


implementation

end. { End Unit twa_apph.                                                      }
